{% extends "base.html" %}

{% load static %}

{% block extra_headers %}
<link rel="stylesheet" href="{% static "openpaper_bugcluster.css" %}">
{% endblock %}

{% block title %}Paperwork - Bug Report Cluster #{{ cluster.id }}{% endblock %}

{% block body %}

<h1><a href="{% url "bug_cluster_all" %}">Bug Report Clusters</a> &gt; #{{ cluster.id }}</h1>

<div id="bugcluster_listing">
  <h2>Tracebacks</h2>
  <p>{{ cluster.nb_tracebacks }} tracebacks</p>
  <ul>
{% for other_traceback in cluster.tracebacks %}
    {% if traceback and traceback.id == other_traceback.id %}
    <strong>
    {% endif %}
    <li><a href="{% url "bug_cluster_traceback_view" cluster.id other_traceback.id %}">#{{ other_traceback.id }}</a></li>
    {% if traceback and traceback.id == other_traceback.id %}
    </strong>
    {% endif %}
{% endfor %}
  </ul>
</div>

<div id="bugcluster_body">
  <p>
    <form action="{% url 'beacon:bug_cluster_toggle_solved' cluster.id %}" method="post">
      {% csrf_token %}
{% if cluster.solved %}
      <input type="submit" value="Unsolve" />
{% else %}
      <input type="submit" value="Solve" />
{% endif %}
    </form>

    <form action="{% url 'beacon:bug_cluster_mark_unread' cluster.id %}" method="post">
      {% csrf_token %}
      <input type="submit" value="Mark unread" />
    </form>
  </p>

  {% if not traceback %}
  <p>No traceback selected</p>
  {% else %}
  <h2>Traceback #{{ traceback.id }}</h2>

  <ul>
    <li>Report:
      <a href="{% url "bug_report_show" traceback.log_file.bug_report.id traceback.log_file.bug_report.secret_key %}">
        #{{ traceback.log_file.bug_report.id }}
      </a>
    </li>
    <li>Attachment:
      <a href="{% url "bug_report_download_attachment" traceback.log_file.bug_report.id traceback.log_file.bug_report.secret_key traceback.log_file.id %}">
        {{ traceback.log_file.file_name }}
      </a>
    </li>
    <li>Lines: {{ traceback.line_start }} - {{ traceback.line_end }}</li>
  </ul>

  <pre>{{ traceback.content }}</pre>
  {% endif %}
</div>

{% endblock %}
